csAnimatedPixmap Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
csAnimatedPixmap Class Reference

A pixmap with a 2d animation. More...

`#include <cstool/csanim2d.h>`

Inheritance diagram for csAnimatedPixmap:

List of all members.

## Public Member Functions
virtual void | Advance (csTicks ElapsedTime)
| advance in time
| csAnimatedPixmap (csAnimationTemplate *tpl)
| Create an animated pixmap.
virtual void | DrawScaled (iGraphics3D *g3d, int sx, int sy, int sw, int sh, uint8 Alpha=0)
| Draw the pixmap given the screen position and new size.
virtual void | DrawTiled (iGraphics3D *g3d, int sx, int sy, int sw, int sh, int orgx, int orgy, uint8 Alpha=0)
| Draw the pixmap tiled over an area.
virtual iTextureHandle * | GetTextureHandle ()
| return current texture handle
virtual int | Height ()
| return current height of this pixmap
virtual int | Width ()
| return current width of this pixmap
virtual | ~csAnimatedPixmap ()
| Destroy this object.

## Detailed Description

A pixmap with a 2d animation.

Definition at line 91 of file csanim2d.h.

## Constructor & Destructor Documentation

csAnimatedPixmap::csAnimatedPixmap | ( | csAnimationTemplate * | tpl | ) |

Create an animated pixmap.

virtual csAnimatedPixmap::~csAnimatedPixmap | ( |  | ) | `[virtual]`

Destroy this object.

## Member Function Documentation

virtual void csAnimatedPixmap::Advance | ( | csTicks | ElapsedTime | ) | `[virtual]`

advance in time

Implements csPixmap.

virtual void csAnimatedPixmap::DrawScaled | ( | iGraphics3D * | g3d,
|  | int | sx,
|  | int | sy,
|  | int | sw,
|  | int | sh,
|  | uint8 | Alpha = `0`
| ) |  | `[virtual]`

Draw the pixmap given the screen position and new size.

Implements csPixmap.

virtual void csAnimatedPixmap::DrawTiled | ( | iGraphics3D * | g3d,
|  | int | sx,
|  | int | sy,
|  | int | sw,
|  | int | sh,
|  | int | orgx,
|  | int | orgy,
|  | uint8 | Alpha = `0`
| ) |  | `[virtual]`

Draw the pixmap tiled over an area.

multiple draw commands with the same texture and same origin values will align properly. The orgx and orgy point to a pixel (perhaps offscreen) where the (0,0) pixel of this pixmap would be drawn.

Implements csPixmap.

virtual iTextureHandle* csAnimatedPixmap::GetTextureHandle | ( |  | ) | `[virtual]`

return current texture handle

Implements csPixmap.

virtual int csAnimatedPixmap::Height | ( |  | ) | `[virtual]`

return current height of this pixmap

Implements csPixmap.

virtual int csAnimatedPixmap::Width | ( |  | ) | `[virtual]`

return current width of this pixmap

Implements csPixmap.

The documentation for this class was generated from the following file:

- cstool/csanim2d.h